# $Id: mplayer-codecs.spec,v 1.9 2006/06/17 15:28:47 dominik Exp $

%define name mplayer-codecs

%define release 4

%define min_mplayer 1.0

%define _codecsdir %{_usr}/lib/codecs

# don't try to strip or compress anything
%define __spec_install_post %{nil}

%define epoch 0
%define all_ver 20071007

Summary: MPlayer essential non-native codecs package
Name: %{name}
Version: %{all_ver}
Epoch: %{epoch}
Release: %{release}
URL: http://www.mplayerhq.hu/
Group: Applications/Multimedia
Source: ftp://ftp7.mplayerhq.hu/MPlayer/releases/codecs/all-%{all_ver}.tar.bz2
License: proprietary
ExclusiveArch: i386
ExclusiveOS: Linux
Requires: mplayer >= %{min_mplayer}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
All-in-one essential end-user package. Contains codecs that currently
have no native open-source decoder.

%package extra
Group: Applications/Multimedia
Summary: MPlayer non-essential codecs package
Requires: mplayer >= %{min_mplayer}

%description extra
MPlayer non-essential codecs package. Contains additional binary codecs
supported by MPlayer.

%prep
%setup -q -c %{name}-%{version}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_codecsdir}
install -m 644 all-%{version}/* $RPM_BUILD_ROOT%{_codecsdir}/
rm -f $RPM_BUILD_ROOT%{_codecsdir}/README

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc all-%{version}/README
%{_codecsdir}/acelpdec.ax
%{_codecsdir}/alf2cd.acm
%{_codecsdir}/aslcodec_dshow.dll
%{_codecsdir}/atrac3.acm
%attr(0755,root,root) %{_codecsdir}/atrc.so.6.0
%{_codecsdir}/AvidQTAVUICodec.qtx
%{_codecsdir}/BeHereiVideo.qtx
%{_codecsdir}/CLRVIDDC.DLL
%{_codecsdir}/clrviddd.dll
%attr(0755,root,root) %{_codecsdir}/cook.so
%{_codecsdir}/CtWbJpg.DLL
%{_codecsdir}/DECVW_32.DLL
%attr(0755,root,root) %{_codecsdir}/drvc.so
%attr(0755,root,root) %{_codecsdir}/dspr.so.6.0
%{_codecsdir}/iac25_32.ax
%{_codecsdir}/icmw_32.dll
%{_codecsdir}/imc32.acm
%{_codecsdir}/ir41_32.dll
%{_codecsdir}/ir50_32.dll
%{_codecsdir}/ivvideo.dll
%{_codecsdir}/jp2avi.dll
%{_codecsdir}/LCMW2.dll
%{_codecsdir}/LCODCCMW2E.dll
%{_codecsdir}/lhacm.acm
%{_codecsdir}/lsvxdec.dll
%{_codecsdir}/m3jp2k32.dll
%{_codecsdir}/mi-sc4.acm
%{_codecsdir}/msh261.drv
%{_codecsdir}/msms001.vwp
%{_codecsdir}/msscds32.ax
%{_codecsdir}/nsrt2432.acm
%{_codecsdir}/qpeg32.dll
%{_codecsdir}/qtmlClient.dll
%{_codecsdir}/QuickTimeEssentials.qtx
%{_codecsdir}/QuickTimeInternetExtras.qtx
%{_codecsdir}/QuickTime.qts
%{_codecsdir}/rt32dcmp.dll
%attr(0755,root,root) %{_codecsdir}/sipr.so.6.0
%{_codecsdir}/tm20dec.ax
%attr(0755,root,root) %{_codecsdir}/tokf.so.6.0
%attr(0755,root,root) %{_codecsdir}/tokr.so.6.0
%{_codecsdir}/tsd32.dll
%{_codecsdir}/tssoft32.acm
%{_codecsdir}/tvqdec.dll
%{_codecsdir}/VDODEC32.dll
%{_codecsdir}/vdowave.drv
%attr(0755,root,root) %{_codecsdir}/vid_3ivX.xa
%{_codecsdir}/ViVD2.dll
%{_codecsdir}/vivog723.acm
%{_codecsdir}/vmnc.dll
%{_codecsdir}/voxmsdec.ax
%{_codecsdir}/vp4vfw.dll
%{_codecsdir}/vp5vfw.dll
%{_codecsdir}/vp6vfw.dll
%{_codecsdir}/vp7vfw.dll
%{_codecsdir}/vssh264core.dll
%{_codecsdir}/vssh264dec.dll
%{_codecsdir}/vssh264.dll
%{_codecsdir}/vsshdsd.dll
%{_codecsdir}/vsslight.dll
%{_codecsdir}/vsswlt.dll
%{_codecsdir}/wma9dmod.dll
%{_codecsdir}/wmadmod.dll
%{_codecsdir}/wmsdmod.dll
%{_codecsdir}/wmspdmod.dll
%{_codecsdir}/wmv9dmod.dll
%{_codecsdir}/wmvadvd.dll
%{_codecsdir}/wmvdmod.dll
%{_codecsdir}/wnvwinx.dll
%{_codecsdir}/wvc1dmod.dll
%{_codecsdir}/frapsvid.dll
%{_codecsdir}/xanlib.dll

%files extra
%defattr(0644,root,root,0755)
%{_codecsdir}/LCodcCMP.dll
%{_codecsdir}/aslcodec_vfw.dll
%{_codecsdir}/asusasv2.dll
%{_codecsdir}/asusasvd.dll
%{_codecsdir}/ativcr2.dll
%{_codecsdir}/avimszh.dll
%{_codecsdir}/avizlib.dll
%attr(0755,root,root) %{_codecsdir}/cook.so.6.0
%{_codecsdir}/ctadp32.acm
%attr(0755,root,root) %{_codecsdir}/ddnt.so.6.0
%{_codecsdir}/divx.dll
%{_codecsdir}/divx_c32.ax
%{_codecsdir}/divxa32.acm
%{_codecsdir}/divxc32.dll
%{_codecsdir}/divxdec.ax
%attr(0755,root,root) %{_codecsdir}/dnet.so.6.0
%attr(0755,root,root) %{_codecsdir}/drv2.so.6.0
%attr(0755,root,root) %{_codecsdir}/drv3.so.6.0
%attr(0755,root,root) %{_codecsdir}/drv4.so.6.0
%{_codecsdir}/huffyuv.dll
%{_codecsdir}/i263_32.drv
%{_codecsdir}/iccvid.dll
%{_codecsdir}/imaadp32.acm
%{_codecsdir}/ir32_32.dll
%{_codecsdir}/l3codeca.acm
%{_codecsdir}/l3codecx.ax
%{_codecsdir}/m3jpeg32.dll
%{_codecsdir}/m3jpegdec.ax
%{_codecsdir}/mcdvd_32.dll
%{_codecsdir}/mcmjpg32.dll
%{_codecsdir}/mpg4c32.dll
%{_codecsdir}/mpg4ds32.ax
%{_codecsdir}/msadp32.acm
%{_codecsdir}/msg711.acm
%{_codecsdir}/msgsm32.acm
%{_codecsdir}/msnaudio.acm
%{_codecsdir}/msrle32.dll
%{_codecsdir}/msvidc32.dll
%{_codecsdir}/mvoiced.vwp
%{_codecsdir}/pclepim1.dll
%{_codecsdir}/qdv.dll
%{_codecsdir}/scg726.acm
%{_codecsdir}/sp5x_32.dll
%{_codecsdir}/tsccvid.dll
%{_codecsdir}/ubv263d+.ax
%{_codecsdir}/ubvmp4d.dll
%{_codecsdir}/ultimo.dll
%{_codecsdir}/vgpix32d.dll
%attr(0755,root,root) %{_codecsdir}/vid_cvid.xa
%attr(0755,root,root) %{_codecsdir}/vid_cyuv.xa
%attr(0755,root,root) %{_codecsdir}/vid_h261.xa
%attr(0755,root,root) %{_codecsdir}/vid_h263.xa
%attr(0755,root,root) %{_codecsdir}/vid_iv32.xa
%attr(0755,root,root) %{_codecsdir}/vid_iv41.xa
%attr(0755,root,root) %{_codecsdir}/vid_iv50.xa
%{_codecsdir}/vp31vfw.dll
%{_codecsdir}/wmv8ds32.ax
%{_codecsdir}/wmvds32.ax
%{_codecsdir}/wnvplay1.dll
%{_codecsdir}/zmbv.dll

%changelog
* Tue Sep 16 2008 vvm
- updated to the latest packs available
- build for SL52

* Sat Jun 16 2006 Dominik Mierzejewski <rpm@greysector.net> 3:20060611-1
- updated to the latest packs available

* Thu Jun 08 2006 Dominik Mierzejewski <rpm@greysector.net> 3:20060501-1
- updated to the latest packs available
- fixed License: tag
- added WVC1 DMO dll
- updated subpackage file lists
- added per-arch READMEs

* Sun Apr 16 2005 Dominik Mierzejewski <rpm@greysector.net> 3:20050416-1
- added Alpha and PPC versions of some codecs
- updated to the latest packs available

* Thu Apr 14 2005 Dominik Mierzejewski <rpm@greysector.net> 3:20050414-1
- updated
- all subpackages except essentials and extra (those in all but not essentials)

* Sun Nov 14 2004 Dominik Mierzejewski <rpm@greysector.net> 3:20041107-1
- updated
- win32 real codecs package added

* Sat Jul 17 2004 Dominik Mierzejewski <rpm@greysector.net> 3:20040704-1
- new versioning scheme
- synced with MPHQ

* Sat Apr 03 2004 Dominik Mierzejewski <rpm@greysector.net> 2:2.0-2
- make all packages covered by -extralite conflict with it
- _codecsdir macro to make the specfile smaller

* Sun Feb 15 2004 Dominik Mierzejewski <rpm@greysector.net> 2:2.0-1
- dropped all per-subpackage version numbers
- moved all codecs to %{_libdir}/codecs

* Mon Aug 25 2003 Dominik Mierzejewski <rpm@greysector.net>
- repackaged in sync with currently available codec packs
- removed binary codecs which have native counterparts
- added extralite package and split some others to avoid conflicts

* Wed Jan 22 2003 Dominik Mierzejewski <rpm@greysector.net>
- added appropriate Vendor: tags

* Sun Dec 29 2002 Dominik Mierzejewski <rpm@greysector.net>
- initial build
